Bug 862036 - [abrt] inadyn-mt-2.24.36-3.fc17: vsnprintf: Process /usr/sbin/inadyn was killed by signal 11 (SIGSEGV)
[abrt] inadyn-mt-2.24.36-3.fc17: vsnprintf: Process /usr/sbin/inadyn was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inadyn-mt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
abrt_hash:dde2b4ad5f68db52fdc18d429bc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 12:56 EDT by sheepdestroyer
Modified: 2013-07-31 21:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.08 KB, text/plain)
2012-10-01 12:56 EDT, sheepdestroyer
no flags Details
File: environ (3.40 KB, text/plain)
2012-10-01 12:56 EDT, sheepdestroyer
no flags Details
File: backtrace (253.06 KB, text/plain)
2012-10-01 12:56 EDT, sheepdestroyer
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-01 12:56 EDT, sheepdestroyer
no flags Details
File: cgroup (137 bytes, text/plain)
2012-10-01 12:56 EDT, sheepdestroyer
no flags Details
File: maps (5.20 KB, text/plain)
2012-10-01 12:56 EDT, sheepdestroyer
no flags Details
File: dso_list (1006 bytes, text/plain)
2012-10-01 12:56 EDT, sheepdestroyer
no flags Details
File: open_fds (41 bytes, text/plain)
2012-10-01 12:56 EDT, sheepdestroyer
no flags Details
patch to remedy sig 11 fail (895 bytes, patch)
2012-10-12 13:28 EDT, Bryan Hoover
no flags Details | Diff

  None (edit)
Description sheepdestroyer 2012-10-01 12:56:09 EDT
Version-Release number of selected component:
inadyn-mt-2.24.36-3.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        inadyn
crash_function: vsnprintf
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #2 vsnprintf at /usr/include/bits/stdio2.h:78
: #3 formatted_message at os.c:276
: #4 os_printf at os.c:526
: #5 do_handle_bad_config at dyndns.c:2090
: #7 dyn_dns_handle_bad_config at dyndns.c:2124
: #8 dyn_dns_update_ip at dyndns.c:2154
: #9 dyn_dns_main at dyndns.c:3519
: #10 inadyn_main at main.c:103
Comment 1 sheepdestroyer 2012-10-01 12:56:13 EDT
Created attachment 619886 [details]
File: core_backtrace
Comment 2 sheepdestroyer 2012-10-01 12:56:15 EDT
Created attachment 619887 [details]
File: environ
Comment 3 sheepdestroyer 2012-10-01 12:56:19 EDT
Created attachment 619888 [details]
File: backtrace
Comment 4 sheepdestroyer 2012-10-01 12:56:21 EDT
Created attachment 619889 [details]
File: limits
Comment 5 sheepdestroyer 2012-10-01 12:56:23 EDT
Created attachment 619890 [details]
File: cgroup
Comment 6 sheepdestroyer 2012-10-01 12:56:25 EDT
Created attachment 619891 [details]
File: maps
Comment 7 sheepdestroyer 2012-10-01 12:56:27 EDT
Created attachment 619892 [details]
File: dso_list
Comment 8 sheepdestroyer 2012-10-01 12:56:29 EDT
Created attachment 619893 [details]
File: open_fds
Comment 9 Bryan Hoover 2012-10-12 13:28:40 EDT
Created attachment 626138 [details]
patch to remedy sig 11 fail
Comment 10 Bryan Hoover 2012-10-12 13:34:24 EDT
The error occurs in event of fatal configuration parameters -- such as a bad password, user name, or alias, for example.

A brief patch is listed above.

Short of patching, correct configuration would avoid the problem.

Thanks for catching this!

Much appreciated.

Bryan
Comment 11 Fedora End Of Life 2013-07-03 19:02:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 21:22:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.